# Gulp - Automate and enhance your workflow

**Notice** This is a an extension that is bundled with Visual Studio Code.

This extension supports running [Gulp](https://gulpjs.com/) tasks defined in a `gulpfile.{js,ts}` file as [VS Code tasks](https://code.visualstudio.com/docs/editor/tasks). Gulp tasks with the name 'build', 'compile', or 'watch' are treated as build tasks.

To run Gulp tasks use the `Tasks` menu.

## Settings
- `gulp.autoDetect` enable detecting tasks from `gulpfile.{js,ts}` files, the default is `on`.
